Multiconsulta's API Reference

Login

POST /auth/login

Example:

        curl --request POST \
--url https://{host}/auth/login \
--header 'Content-Type: application/json' \
--header 'scope: EXTERNAL' \
--data '{
  "username": "user",
  "password": "P4$$w0rd!"
}'
        
      

Headers

Key Type Description Example
scope string Must specify a scope for credentials "MULTI" (Required)

Response: status 200

{
  "access_token": "JWT Token string",
  "token_type": "bearer",
  "expires_in": 36000 
}

Logout

POST /auth/logout

Example:

curl --request POST \
  --url https://{host}/auth/logout \
  --header 'Authorization: Bearer {token}'

Response: status 200

{
  "message": "Successfully logged out"
}

Get Scoring

POST /api/financieras/solicitarInformes

Example:

curl --request POST \
--url https://{host}/api/financieras/solicitarInformes \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {token}' \
--data '{
  "DNI": "12345678",
  "sexo": "M",
  "producto": "PRE_MOTO",
  "financieras": [1, 2, 3]
  "sucursal": 1
}'

Headers

Key Type Description
Authorization string Bearer token (Required)
Content-Type string application/json

Payload

Key Type Example
DNI integer|required 12345678
sexo string|required {{ "M" | "F" }} (Masculino o Femenino según corresponda)
producto string|required {{ A DEFINIR }}
apellidos string|optional torres
nombres string|optional juan pablo
codarea string|optional 11
telefono string|optional 123456789
uniqid string|optional identificador único
financieras array<𝚒𝚗𝚝𝚎𝚐𝚎𝚛>|optional [1, 2, 3]
sucursal integer|optional 1

Response: status 200 | DICTAMEN APROBADO


    [
        ...
        {
        "id": 7,
        "financiera_name": "FINANCIERA_A",
        "dictamen": "APROBADO",
        "detalle_dictamen": "Crédito aceptado",
        "carpeta": "123e4567-e89b-12d3-a456-426655440000",
        "monto_max_disponible": "$5.000.000,00",
        "plazo_max_disponible": 12,
        "cuota_max_disponible": "$415.000,00",
        "additional_user_data": {
          "productName": "Signtura 2025 M",
          "fee": "$25.000,00",
        }
        ...
    ]

Response: status 200 | DICTAMEN RECHAZADO


    [
        ...
        {
        "id": 7,
        "financiera_name": "FINANCIERA_A",
        "dictamen": "RECHAZADO",
        "detalle_dictamen": "No posee oferta disponible",
        }
        ...
    ]

Response: status 200 | DICTAMEN REVISAR


    [
        ...
        {
        "id": 7,
        "financiera_name": "FINANCIERA_A",
        "dictamen": "REVISAR",
        "detalle_dictamen": "Ocurrió un error al intentar conectar el servicio"
        }
        ...
    ]

Response: status 200 | DICTAMEN ERROR


    [
        ...
        {
        "id": 7,
        "financiera_name": "FINANCIERA_A",
        "dictamen": "ERROR",
        "detalle_dictamen": "Punto de venta restringido",
        }
        ...
    ]